body {
  background-image: url(images/tausta.gif);
  background-repeat: repeat;
  background-position: 90% 100%;
  background-color: black;
  background-size: 100%;
  margin:  auto;
  color: whitesmoke;
  font-family: Helvetica Neue,Helvetica,Arial,sans-serif; 
}

.wrapper {
  max-width: 1920px;
  margin: auto;
}

/* footer */
.footer {
  width: 100%;
  background-color: #333;
  opacity: 95%;
  overflow: hidden;
  height: 74px;
}

.footer p {
  margin-top: 35px;
  text-align: center;
}

.fb-page {
  margin-left: 5%;
  margin-top: -4.5%;
  margin-right: 10%;
  float: right;
  width: 390px;
}

/* map */
#mapid { 
  margin-top: 30px;
  margin-bottom: 50px;
  margin-left: 15%;
  height: 400px;
  width: 40%;
  } 

h1 {
  padding-top: 7%;
  margin: 50px;
  margin-left: 10%;
  text-align: left;
}
.content p {
  height: 100%;
  color: whitesmoke;
  font-size: 140%;
  margin-left: 10%;
  margin-right: 50%;
  line-height: 1.5;
  word-spacing: 2px;
}
.content img {
  padding-top: 100px;
  float: right;
  max-width: 400px;
  width: auto;
  height: auto;
  margin-right: 7%;
}

.contact p {
  max-width: 50%;
  height: 100%;
  color: whitesmoke;
  font-size: 110%;
  margin-left: 10%;
  line-height: 1.5;
  word-spacing: 4px;
}

h2 {
  padding-top: 100px;
  margin: 50px;
  text-align: left;
  margin-left: 10%;
}

.gallery {
  height: 100%;
  color: whitesmoke;
  font-size: 160%;
  margin-left: 50px;
  line-height: 2.0;
  word-spacing: 4px;
}

.yhteys {
  height: 100%;
  color: whitesmoke;
  font-size: 160%;
  margin-left: 10%;
  line-height: 2.0;
  word-spacing: 4px;
}
/* header */

.header {
  background-color: #333;
  opacity: 95%;
  overflow: hidden;
  width: 100%;
  position: fixed;
  top: 0;
  transition: top 0.3s;
  z-index: 1;
}
.header a {
    display: block;
    color: white;
    background-color: #3330;
    padding: 40px 40px;
    text-decoration: none;
    font-size: 25px;
}

.header ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
  background-color: #3330;
}

.header li a:hover {
  color: #d48702;
  transition: 0.6s;
}

.header li a {
  display: block;
  padding: 20px 20px;
  text-decoration: none;
}

.header .logo {
  display: block;
  float: left;
  margin-left: 30%;
  text-decoration: none;
}

/* menu */

.header .menu {
  clear: both;
  max-height: 0;
  transition: max-height 0.4s ease-out;
}

/* menu icon */

.header .menu-icon {
  cursor: pointer;
  display: inline-block;
  padding: 28px 40px;
  position: relative;
  user-select: none;
}

.header .menu-icon .navicon {
  background: #f4f4f4;
  display: block;
  height: 4px;
  position: relative;
  transition: background .6s ease-out;
  width: 40px;
}

.header .menu-icon .navicon:before,
.header .menu-icon .navicon:after {
  background: #f4f4f4;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.header .menu-icon .navicon:before {
  top: 12px;
}

.header .menu-icon .navicon:after {
  top: -12px;
}

/* menu btn */

.header .menu-btn {
  display: none;
}

.header .menu-btn:checked ~ .menu {
  max-height: 240px;
}

.header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

/* The grid: Four equal columns that floats next to each other */
.column {
  display: flex;
  float: left;
  width: 20%;
  height: 20%;
  padding: 10px;
}

/* Style the images inside the grid */
.column img {
  width:100%;
  opacity: 1; 
  cursor: pointer; 
}

.column img:hover {
  opacity: 0.6;
  transition: 0.4s;
}

.row {
  margin-left: 10%;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* The expanding image container */
.container {
  margin-left: 11%;
  position: relative;
  display: none;
}


/* Expanding image text */
#imgtext {
  position: absolute;
  bottom: 15px;
  left: 15px;
  color: white;
  font-size: 20px;
}


@media (min-width: 1000px) {
  .header li {
    float: left;
  }
  .header li a {
    padding: 10px 20px;
    font-size: 2em;
  }
  .header .menu {
    clear: none;
    float: left;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
  }
}
  